const copy = require("copy")

// babel
const createIoingDemo = (callback, opts) => {
  let isModule = process.argv.indexOf('--module')
  let isComponents = process.argv.indexOf('--components')
  let time = Date.now()
  let type = 'module'
  let path = ''
  let id

  if (isModule !== -1) {
    id = process.argv.splice(isModule + 1, 1)
    id = id || 'new-module-' + time
    tmp = process.argv.splice(isModule + 2, 1)
    path = 'modules'
    type = 'module'
  } else if (isComponents !== -1) {
    id = process.argv.splice(isComponents + 1, 1)
    id = id || 'new-components-' + time
    tmp = process.argv.splice(isComponents + 2, 1)
    path = 'components'
    type = 'components'
  }

  copy(__dirname + `/template/${path}/${tmp}/*`, `${path}/${id}`, function(err, files) {
    if (err) {
      return console.log(err)
    }
    if (type === 'module') {
      callback && callback(id, type)
    }
  })

  if (type === 'components') {
    createIoingDemo((id) => {
      callback && callback(id, type)
    }, [null, 'module', 'components-test-' + id, 'components::' + tmp]), id
  }

  return
}

module.exports = createIoingDemo
